from ocsf.objects.vulnerability import VulnerabilityDetails
from ocsf.objects.resource_details import ResourceDetails

from .finding import Finding


class VulnerabilityFinding(Finding):
    """
    The Vulnerability Finding event is a notification about weakness in an
    information system, system security procedures, internal controls, or
    implementation that could be exploited or triggered by a threat source.
    """

    class_uid: int = 2002
    class_name: str = 'Vulnerability Finding'

    vulnerabilities: list[VulnerabilityDetails]

    # Recommended:
    resource: ResourceDetails | None = None # Describes details about the resource that is affected by
                                            # the vulnerability/vulnerabilities.
